---
type: api
title: Get conversation attachment
description: Get a single attachment by ID for a conversation.<br/><br/>[Required authorization] Route required privileges: agentBuilder:read.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-agent-builder-conversations-conversation-id-attachments-attachment-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-agent-builder-conversations-conversation-id-attachments-attachment-id
products:
  - Kibana
---

# Get conversation attachment

Availability: Planned

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `conversation_id` (string · max: 256)
  The unique identifier of the conversation.
- `attachment_id` (string · max: 256)
  The unique identifier of the attachment.

## Description

Get a single attachment by ID for a conversation.<br/><br/>[Required authorization] Route required privileges: agentBuilder:read.

## Response

Indicates a successful response

## Code Examples

#### Console

```console
GET /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}"
```

## Response Examples

#### Get attachment response

Example response containing a single attachment

```json
{
  "attachment": {
    "active": true,
    "current_version": 1,
    "description": "My text file",
    "id": "attachment-1",
    "type": "text",
    "versions": [
      {
        "content_hash": "abc123",
        "created_at": "2025-01-01T10:00:00.000Z",
        "data": "File content",
        "estimated_tokens": 2,
        "version": 1
      }
    ]
  }
}
```

